--[[
	Type in the chat: /itemlist
--]]

local args = {...}

if #args == 0 then
	local file_name = "ItemList.txt"
	local list = {}
	
	-- Collect all items
	for key, obj in pairs(ItemMasterList) do
		table.insert(list, tostring(key))
	end

	-- Sort the items 
	table.sort(list)

	-- Create file
	local tFile = io.open("ItemList.txt", "w")
	if tFile then
		-- Save results in file
		for _, item in ipairs(list) do
			tFile:write(item .. "\n")
		end
		
		-- Close file
		tFile:close()
		
		-- Feedback
		EchoConsole(Localize("vmf_text_itemlist_created", file_name))
	end
	

	return true
else
	return false
end