local mod, mod_name, oi = Mods.get_mod("ModSettings")
--[[
	Type in the chat: /keyblock
--]]

local shortcuts_enabled = mod.get(mod.widget_settings.HK_SHOTCUTS.save)

-- Update settings
mod.set(mod.widget_settings.HK_SHOTCUTS.save, not mod.get(mod.widget_settings.HK_SHOTCUTS.save))
mod.save()

local base_text = Localize("vmf_text_mod_settings_shortcut_text") .. ": "
if shortcuts_enabled then
	EchoConsole(base_text .. Localize("vmf_text_core_enable"))
else
	EchoConsole(base_text .. Localize("vmf_text_core_disable"))
end

return true