local mod_name = "Dialog"
--[[
	Game Version: 1.8.5
	
	Error:
		<<Lua Error>> scripts/entity_system/systems/dialogues/dialogue_system.lua:1424: attempt to index local 'dialogue' (a nil value)<</Lua Error>>
		<<Lua Stack>>   [1] scripts/entity_system/systems/dialogues/dialogue_system.lua:1424:in function <scripts/entity_system/systems/dialogues/dialogue_system.lua:1418>
		  [2] scripts/network/network_event_delegate.lua:33:in function <scripts/network/network_event_delegate.lua:28>
		  [3] scripts/network/network_transmit.lua:72: in function transmit_local_rpcs
		  [4] scripts/game_state/state_ingame.lua:1262: in function post_update
		  [5] foundation/scripts/util/state_machine.lua:160: in function post_update
		  [6] foundation/scripts/boot/boot.lua:213: in function post_update
		  [7] foundation/scripts/boot/boot.lua:250:in function <foundation/scripts/boot/boot.lua:240>
		<</Lua Stack>>
		<<Lua Locals>>   [1] self = table: 24B9C380; sender = "1100001067b5a03"; go_id = 3; is_level_unit = false; dialogue_id = 193; dialogue_index = 1; dialogue_actor_unit = [Unit \'#ID[a9f361ac1182c6e9]\']; dialogue_name = "pbw_objective_correct_path_this_way"; dialogue = nil
		  [2] event_table = nil; registered_objects = table: 24E26C20; num_registered_objects = 1; i = 1; object = table: 24B9C380
		  [3] self = table: 24DA3B20; local_rpc_buffer_index = 2; local_rpc_queue_n = 10; local_rpc_queue = table: 24DA3B60; event_table = table: 1CB5EB40; my_peer_id = "1100001067b5a03"; do_print_local_rpcs = true; i = 4; rpc_name = "rpc_play_dialogue_event"; rpc_num_args = 4
		  [4] self = table: 24F095A0; dt = 0.012726061046123505; t = 1111.2229606627952; network_manager = table: 24890BC0
		  [5] self = table: 2B67AF00; dt = 0.012726061046123505; t = nil
		  [6] self = table: 1B2EE1E0; dt = 0.012726061046123505
		  [7] dt = 0.012726061046123505
		<</Lua Locals>>
	
	Detail:
		Fatshark desided to remove the "this way" sound out of the inn.
		This way you can crash others people game. This fix checks first the dialogue
		exist before executing
--]]

Mods.hook.set(mod_name, "DialogueSystem.rpc_play_dialogue_event",
function(func, self, sender, go_id, is_level_unit, dialogue_id, dialogue_index)
	local dialogue_name = NetworkLookup.dialogues[dialogue_id]
	
	if self.dialogues[dialogue_name] then
		func(self, sender, go_id, is_level_unit, dialogue_id, dialogue_index)
	end
end)