--[[
	Type in the chat: /loadfile network
	
	Network Example:
		Unfinished module to communicate custome rpc calls.
		
		Client to server: Works
		Server to client: Works
--]]

-- Register rpc call
Mods.network.register("rpc_check_modded", function(sender, version)
	safe_pcall(function()
		EchoConsole("Other client: " .. version)
		
		Mods.network.send_rpc("rpc_answer_modded", sender, "x.x.IamLupo")
	end)
end)

Mods.network.register("rpc_answer_modded", function(sender, version)
	safe_pcall(function()
		EchoConsole("Other client: " .. version)
	end)
end)

safe_pcall(function()
	local local_player = Managers.player:local_player()
	local human_players = Managers.player:human_players()
	
	for _, player in pairs(human_players) do
		if player.peer_id ~= local_player.peer_id then
			Mods.network.send_rpc("rpc_check_modded", player.peer_id, "x.x.grasmann")
		end
	end
end)