local player_unit = Managers.player:local_player().player_unit
local position = Unit.local_position(player_unit, 0)

if MOD_AUDIO then
	MOD_AUDIO = next(NetworkLookup.sound_events, MOD_AUDIO)
	
	-- Prevent to take a string name
	while type(MOD_AUDIO) ~= "string" do
		MOD_AUDIO = next(NetworkLookup.sound_events, MOD_AUDIO)
	end
else
	MOD_AUDIO = NetworkLookup.sound_events["bullet_pass_by"]
end

EchoConsole("sound_event: " .. tostring(MOD_AUDIO))

Managers.state.network.network_transmit:send_rpc_all(
	"rpc_server_audio_event_at_pos",
	NetworkLookup.sound_events[MOD_AUDIO],
	position
)