local mod, mod_name, oi = Mods.get_mod("network")

-- ####################################################################################################################
-- ##### Hook #########################################################################################################
-- ####################################################################################################################
Mods.hook.set(mod_name, "ChatManager.rpc_chat_message", function(func, self, sender, channel_id, ...)
	if channel_id == 1 then
		func(self, sender, channel_id, ...)
	else
		local args = table.pack(...)
		
		local rpc_call = args[2]
		local parameter = table.deserialization(args[3])
		
		local callback = mod.get(rpc_call)
		if callback then
			-- Call rpc function
			callback(sender, unpack(parameter))
		end
	end
end)
Mods.hook.front(mod_name, "ChatManager.rpc_chat_message")