local mod_name = "UI"

-- ################################################################################################################
-- ##### Entry point ##############################################################################################
-- ################################################################################################################
--[[
	Update cycle
--]]
Mods.hook.set(mod_name, "MatchmakingManager.update", function(func, self, dt, t)
	-- Original function
	func(self, dt, t)
	-- Wrap pcall
	safe_pcall(function()
		if Mods.ui then
			Mods.ui.update()
			Mods.ui.timers:update(t)
		end
	end)
end)